summaryrefslogtreecommitdiffstats
path: root/infest/profiles/makefu/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infest/profiles/makefu/bootstrap.sh')
-rwxr-xr-xinfest/profiles/makefu/bootstrap.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/infest/profiles/makefu/bootstrap.sh b/infest/profiles/makefu/bootstrap.sh
new file mode 100755
index 00000000..e4bad93e
--- /dev/null
+++ b/infest/profiles/makefu/bootstrap.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -xeuf
+
+cd $(readlink -f $(dirname $0))
+
+# Backing up false positives
+if [ -e $HOME/.vim ] ; then
+ echo "Backing up old vim folder"
+ mv $HOME/.vim $HOME/.vim.`date +%Y%M%d`
+fi
+
+# write dotfiles
+for dotfile in $(ls .);do
+ [ "./$dotfile" == "$0" ] && continue
+ cp -fr --remove-destination $dotfile $HOME/.$dotfile
+done
+
+#vim vundle
+cd $HOME/.vim
+mkdir bundle
+mkdir backup
+[ -d bundle/vundle ] || \
+ git clone https://github.com/gmarik/vundle.git bundle/vundle
+cd -
+
+vim "+:BundleInstall" "+:qall"
+
+#oh-my-zsh
+chsh -s `which zsh`
+[ -d ~/.oh-my-zsh ] || \
+ git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh